College Basketball DataCollege Basketball Data
  • CollegeBasketballData.com
  • Get API Key
  • Legacy Swagger UI
  • Getting Started
  • Official libraries
  • API Reference
Helpful links
  • CBBD
  • Get API key
  • Access tiers
Official libraries
  • Python
  • TypeScript
  • R
  • API source
Other resources
  • Rad Sports Analytics
  • Football
  • CBB Starter Pack

A Rad Sports Analytics platform.

xdiscordgithub
Information
Games
    /gamesget/games/mediaget/games/teamsget/games/playersget/scoreboardget
Plays
    /substitutions/game/{gameId}get/substitutions/player/{playerId}get/substitutions/teamget/plays/game/{gameId}get/plays/player/{playerId}get/plays/teamget/plays/dateget/plays/tournamentget/plays/typesget
Teams
    /teamsget/teams/rosterget
Conferences
    /conferencesget/conferences/historyget
Venues
    /venuesget
Stats
    /stats/team/leaderboardget/stats/team/seasonget/stats/team/shooting/seasonget/stats/player/seasonget/stats/player/shooting/seasonget
Rankings
    /rankingsget
Ratings
    /ratings/srsget/ratings/adjustedget/ratings/eloget
Lines
    /linesget/lines/providersget
Lineups
    /lineups/teamget/lineups/game/{gameId}get
Draft
    /draft/teamsget/draft/positionsget/draft/picksget
Recruiting
    /recruiting/playersget/recruiting/teamsget/recruiting/portalget
Schemas
powered by Zudoku
College Basketball Data API
College Basketball Data API

Rankings

Download schema

Historical polls and rankings.


GET
https://api.collegebasketballdata.com
/rankings
Bearer

Returns historical poll rankings.

query Parameters

season
​integer · int32

Filters results to the specified season.

seasonType
​SeasonType · enum

Filters results to the specified season type.

Enum values:
postseason
preseason
regular
week
​integer · int32

Filters results to the specified week.

pollType
​string · enum

Filters results to the AP or Coaches Poll.

Enum values:
ap
coaches
team
​string

Filters results to the specified team name.

conference
​string

Filters results to the specified conference abbreviation.

Responses

200

Ok

​PollTeamInfo[]
PollTeamInfo
season
​integer · int32 · required
seasonType
​SeasonType · enum · required
Enum values:
postseason
preseason
regular
week
​integer · int32 · required
pollDate
​string | null · date-time · required
pollType
​string · required
teamId
​number · double · required
team
​string · required
conference
​string | null · required
ranking
​number | null · double · required
points
​number | null · double · required
firstPlaceVotes
​number | null · double · required
GET/rankings
curl https://api.collegebasketballdata.com/rankings \ --header 'Authorization: Bearer <token>'
Example Responses
[ { "season": 0, "seasonType": "postseason", "week": 0, "pollDate": "2024-08-25T15:00:00Z", "pollType": "pollType", "teamId": 0, "team": "team", "conference": "conference", "ranking": 0, "points": 0, "firstPlaceVotes": 0 } ]
json
application/json

StatsRatings